> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the JSON schema

> Get the JSON configuration schema for index pipelines.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-indexing.json get /index-pipelines/_schema
openapi: 3.0.1
info:
  title: Fusion Indexing API
  description: |-
    The Lucidworks Fusion Indexing API manages
    parsers, index pipelines, index stages, index profiles, and subscriptions.
  contact:
    name: Lucidworks
    url: https://www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Index Pipelines API
    description: >-
      Use these endpoints to view and manage your index pipelines.  You can also
      index documents using this API, though the Index Profiles API is
      recommended instead.
  - name: Index Profiles API
    description: >-
      The Index Profiles API provides static endpoints that you can consistently
      point to when indexing your documents.  Index profiles allow you to change
      the index pipelines, parsers, or collections behind them without changing
      the endpoint you use for indexing.  See the Index Profiles CRUD API for
      endpoints that create and modify index profiles.
  - name: Index Profiles CRUD API
    description: >-
      Use these endpoints to create and modify index profiles.  Index profiles
      allow you to change the index pipelines, parsers, or collections behind
      them without changing the endpoint you use for indexing.  See the Index
      Profiles API for the indexing endpoints.
  - name: Index Stage API
    description: >-
      Use these endpoints to view the available index pipeline stages and their
      configuration parameters.
  - name: Index Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom index stages
      developed with the Index Stage SDK.
  - name: Parsers CRUD API
    description: >-
      Endpoints to perform Create-Read-Update-Delete operations on Parsers,
      Deprecated: use async-parsing endpoint instead.
  - name: Parsers Schema API
    description: >-
      Endpoints to get the Schema of Parsers. Deprecated: use async-parsing
      endpoint instead.
  - name: Subscriptions API
    description: The Subscriptions API
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /index-pipelines/_schema:
    get:
      tags:
        - Index Pipelines API
      summary: Retrieve the JSON schema
      description: Get the JSON configuration schema for index pipelines.
      operationId: getEntitySchema_3
      responses:
        '200':
          description: OK
          content:
            application/schema+json;qs=1.0:
              schema:
                $ref: '#/components/schemas/ObjectType'
            application/json;qs=0.9:
              schema:
                $ref: '#/components/schemas/ObjectType'
components:
  schemas:
    ObjectType:
      description: Configuration properties.
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        required:
          uniqueItems: true
          type: array
          items:
            type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        additionalProperties:
          type: object
        minProperties:
          type: integer
          format: int32
        maxProperties:
          type: integer
          format: int32
        definitions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        default:
          type: object
        oneOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
        propertyGroups:
          type: array
          items:
            $ref: '#/components/schemas/PropertyGroup'
    AnyType:
      description: Configuration properties.
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        default:
          type: object
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        oneOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    AnyTypeObjectObject:
      description: Configuration properties.
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        default:
          type: object
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
    PropertyGroup:
      type: object
      properties:
        label:
          type: string
        properties:
          type: array
          items:
            type: string
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````